You are missing the following 32-bit libraries: Steam

Everything about X, Gnome, KDE, ... and everything running on it

You are missing the following 32-bit libraries: Steam

Postby Carter Cox » 2018-09-30 00:16

Go to the bottom of this post for a solution

Relevant System information:
    AMD FX 8350
    GTX 1060
    Debian 9.5
    NVIDIA drives installed (package name: nvidia-driver) (already rebooted)

Problem:
I just installed Steam by following the Wiki, AKA running:
Code: Select all
# dpkg --add-architecture i386
# apt update
# apt install steam

Now, when I open it, I get the following message:
Code: Select all
You are missing the following 32-bit libraries, and Steam may not run:
libGL.so.1
Press enter to continue:

I press enter, and then this happens:
Code: Select all
Fatal Error: Failed to load steamui.so

Attempts to solve the problem:
1. DuckDuckGo: I got similar information but unrelated (different OSes) (some examples: https://steamcommunity.com/app/221410/d ... 779141735/ , https://www.reddit.com/r/ManjaroLinux/c ... aries_and/ , https://askubuntu.com/questions/260813/ ... ibraries-a)
2. APT
Code: Select all
# apt search libGL.so.1
Sorting... Done
Full Text Search... Done
libgl1-glvnd-nvidia-glx/stable,now 384.130-1 amd64 [installed]
  Vendor neutral GL dispatch library -- libGL

Already installed. Also, it's for amd64.
3. Posting in this forum.

Solution:

Install 32-bit OpenGL libraries
Nvidia graphics hardware:

Code: Select all
# apt install libgl1-nvidia-glx:i386


ATI/AMD graphics hardware:
Code: Select all
# apt install libgl1-fglrx-glx:i386


AMDGPU graphics hardware: (tested on stretch)

Code: Select all
# apt install xserver-xorg-video-amdgpu:i386 xorg-video-abi-23:i386 xserver-xorg-core:i386
Last edited by Carter Cox on 2018-09-30 01:09, edited 1 time in total.
May you be in heaven a full half hour, before the devil knows you are dead.
User avatar
Carter Cox
 
Posts: 2
Joined: 2018-09-30 00:07

Re: You are missing the following 32-bit libraries: Steam

Postby GarryRicketson » 2018-09-30 00:46

First off, you did a great job with the details you include, I wish more people would do like this.

I think in several other topics , I have see where someone said this package needs to be installed,
https://packages.debian.org/stretch/multiarch-support
Transitional package to ensure multiarch compatibility

This is a transitional package used to ensure multiarch support is present in ld.so before unpacking libraries to the multiarch directories. It can be removed once nothing on the system depends on it.

I am not positive on this, so you might want to wait and see what some of the other more experienced members say as well.
Or try looking for some of the other topics about installing Steam, sorry I don't have links to any handy, maybe I should save some, because this question does come up quite often. Based on what you show, installing the "multiarch-support" is the only thing you did not do, and it seems odd to me that the wiki does not mention that, maybe the wiki needs to be updated, if this is correct.
===== edited ====
Found 1 of them:http://forums.debian.net/viewtopic.php?f=6&t=105647&p=620710#p620710
by ptrakk » 2016-07-23 10:30

I apologize for the necro-bump, but I feel this is still relevant and this info needs to be out there. as it fixed everything for me.

Code: Select all
apt install multiarch-support
dpkg --add-architecture i386
apt update
apt dist-upgrade

I don't know about it being necessary to do the :"apt dist-upgrade" part,
in fact, that might be a bad idea, I would try:
Code: Select all
apt -s dist-upgrade
to simulate it, first, and see what is shows,
again, You maybe should wait, and some one that knows for sure will say so , I hope.

Additional:
http://forums.debian.net/search.php?keywords=install+Steam+and+multiarch-support
Last edited by GarryRicketson on 2018-09-30 01:02, edited 2 times in total.
User avatar
GarryRicketson
 
Posts: 5134
Joined: 2015-01-20 22:16
Location: Durango, Mexico

Re: You are missing the following 32-bit libraries: Steam

Postby bw123 » 2018-09-30 00:54

I just installed Steam by following the Wiki, AKA running:

Code: Select all
    # dpkg --add-architecture i386
    # apt update
    # apt install steam



I just looked at the wiki, and you missed a step.
https://wiki.debian.org/Steam
4. Install 32-bit OpenGL libraries:
User avatar
bw123
 
Posts: 3416
Joined: 2011-05-09 06:02
Location: TN_USA

Re: You are missing the following 32-bit libraries: Steam

Postby Carter Cox » 2018-09-30 01:11

Thank you GarryRicketson. The solution was provided by bw123. Thank you as well. Updated the OP to provide the solution for people who find this thread in search engines or searching the forum.
May you be in heaven a full half hour, before the devil knows you are dead.
User avatar
Carter Cox
 
Posts: 2
Joined: 2018-09-30 00:07

Re: You are missing the following 32-bit libraries: Steam

Postby stevepusser » 2018-09-30 21:32

ATI/AMD graphics hardware:

Code: Select all
# apt install libgl1-fglrx-glx:i386


That's not applicable for Stretch, as the proprietary AMD fglrx-driver is not compatible with Stretch's xorg. It's either install the mesa version or the amdgpu version.
The MX Linux repositories: Backports galore! If we don't have something, just ask and we'll try--we like challenges. New packages: Kdenlive 18.08.1, Pale Moon 28.1.0, wine-staging 3.17, qBittorrent 4.1.3, Liquorix kernel 4.18-13, Audacity 2.3.0
User avatar
stevepusser
 
Posts: 10015
Joined: 2009-10-06 05:53


Return to Desktop & Multimedia

Who is online

Users browsing this forum: No registered users and 4 guests

fashionable